<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.6"/>
<title>Khepera Library: khepera.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="kteamdoxy.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Khepera Library
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.6 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('khepera_8h.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle">
<div class="title">khepera.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><div class="dynheader">
Include dependency graph for khepera.h:</div>
<div class="dyncontent">
<div class="center"><img src="khepera_8h__incl.png" border="0" usemap="#khepera_8h" alt=""/></div>
<map name="khepera_8h" id="khepera_8h">
<area shape="rect" id="node15" href="kb__init_8h.html" title="kb_init.h" alt="" coords="1246,80,1316,107"/><area shape="rect" id="node16" href="kb__error_8h.html" title="kb_error.h" alt="" coords="1341,80,1419,107"/><area shape="rect" id="node17" href="kb__memory_8h.html" title="kb_memory.h" alt="" coords="1444,80,1543,107"/><area shape="rect" id="node18" href="kb__time_8h.html" title="kb_time.h" alt="" coords="1567,80,1645,107"/><area shape="rect" id="node19" href="kb__cmdparser_8h.html" title="kb_cmdparser.h" alt="" coords="1670,80,1783,107"/><area shape="rect" id="node20" href="kb__symbol_8h.html" title="kb_symbol.h" alt="" coords="1808,80,1901,107"/><area shape="rect" id="node21" href="kb__config_8h.html" title="kb_config.h" alt="" coords="1926,80,2012,107"/><area shape="rect" id="node22" href="kb__socket_8h.html" title="kb_socket.h" alt="" coords="555,80,645,107"/><area shape="rect" id="node26" href="kb__sound_8h.html" title="header of Funtions for sound access " alt="" coords="2037,80,2123,107"/><area shape="rect" id="node27" href="kb__gpio_8h.html" title="kb_gpio.h" alt="" coords="2148,80,2224,107"/><area shape="rect" id="node28" href="kb__pwm_8h.html" title="kb_pwm.h" alt="" coords="2249,80,2328,107"/><area shape="rect" id="node29" href="kb__lrf_8h.html" title="kb_lrf.h" alt="" coords="2353,80,2417,107"/><area shape="rect" id="node30" href="kb__gripper_8h.html" title="kb_gripper.h" alt="" coords="2442,80,2533,107"/><area shape="rect" id="node31" href="knet_8h.html" title="knet.h" alt="" coords="2543,155,2600,181"/><area shape="rect" id="node32" href="kb__utils_8h.html" title="Header of Useful functions of libkhepera. " alt="" coords="2741,80,2816,107"/><area shape="rect" id="node33" href="kb__stargazer_8h.html" title="kb_stargazer.h" alt="" coords="2841,80,2945,107"/><area shape="rect" id="node34" href="kb__camera_8h.html" title="header of Funtions for camera access " alt="" coords="2971,80,3067,107"/><area shape="rect" id="node35" href="kb__khepera4_8h.html" title="kb_khepera4.h" alt="" coords="2609,80,2716,107"/><area shape="rect" id="node37" href="kmot_8h.html" title="kmot.h" alt="" coords="3091,80,3152,107"/><area shape="rect" id="node38" href="koreio_8h.html" title="koreio.h" alt="" coords="3176,80,3243,107"/></map>
</div>
</div><div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="khepera_8h__dep__incl.png" border="0" usemap="#khepera_8hdep" alt=""/></div>
<map name="khepera_8hdep" id="khepera_8hdep">
<area shape="rect" id="node2" href="kb__cmdparser_8c.html" title="This module provides basic command parsing facilities. " alt="" coords="5,80,117,107"/><area shape="rect" id="node3" href="kb__stargazer_8h.html" title="kb_stargazer.h" alt="" coords="142,80,247,107"/><area shape="rect" id="node4" href="kb__stargazer_8c.html" title="This module provides useful basic facilities to use the KoreBot with the Stargazer sensor..." alt="" coords="187,155,292,181"/><area shape="rect" id="node5" href="kb__config_8c.html" title="This module reads, parses and store the information contained in the configuration files..." alt="" coords="323,80,409,107"/><area shape="rect" id="node6" href="kb__error_8c.html" title="This module provides basic error and message handling. " alt="" coords="434,80,512,107"/><area shape="rect" id="node7" href="kb__gpio_8c.html" title="This module provides useful basic facilities to use the KoreBot GPIO and configure them..." alt="" coords="537,80,613,107"/><area shape="rect" id="node8" href="kb__gripper_8c.html" title="This module is layer for communication with the khepera 4 Gripper. It offers simple interface to the ..." alt="" coords="639,80,731,107"/><area shape="rect" id="node9" href="kb__init_8c.html" title="kb_init.c" alt="" coords="755,80,825,107"/><area shape="rect" id="node10" href="kb__khepera4_8c.html" title="This module is layer for communication with various devices which are part of the khepera4 robot..." alt="" coords="851,80,957,107"/><area shape="rect" id="node11" href="kb__lrf_8c.html" title="This module provides useful basic facilities to use the KoreBot with the LedRangeFinder card..." alt="" coords="981,80,1045,107"/><area shape="rect" id="node12" href="kb__memory_8c.html" title="kb_memory.c" alt="" coords="1069,80,1168,107"/><area shape="rect" id="node13" href="kb__pwm_8c.html" title="This module provides useful basic facilities to use the Khepera PWM and configure them..." alt="" coords="1192,80,1271,107"/><area shape="rect" id="node14" href="kb__socket_8c.html" title="kb_socket.c" alt="" coords="1296,80,1387,107"/><area shape="rect" id="node15" href="kb__symbol_8c.html" title="This module provides primitive to handle symbol table. " alt="" coords="1411,80,1504,107"/><area shape="rect" id="node16" href="kb__time_8c.html" title="This module provides a basic time function. " alt="" coords="1529,80,1607,107"/><area shape="rect" id="node17" href="kmot_8c.html" title="This module provides useful basic facilities to use a KoreMotor. " alt="" coords="1632,80,1693,107"/><area shape="rect" id="node18" href="knet_8c.html" title="This module is an abstraction layer for communication with different busses and devices. It offers simple interface to other module or to the user. " alt="" coords="1718,80,1775,107"/><area shape="rect" id="node19" href="knet__i2c_8c.html" title="This module is the low&#45;level communication layer between the KoreBot Library and the Linux Operating ..." alt="" coords="1799,80,1880,107"/><area shape="rect" id="node20" href="knet__rs232_8c.html" title="This module is the low&#45;level communication layer between the KoreBot Library and the Linux Operating ..." alt="" coords="1905,80,1999,107"/><area shape="rect" id="node21" href="koreio_8c.html" title="This module provides useful API to use a KoreIO from a KoreBot program. " alt="" coords="2024,80,2091,107"/></map>
</div>
</div>
<p><a href="khepera_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a9716988961c3db223eb9324dbdbbc665"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="khepera_8h.html#a9716988961c3db223eb9324dbdbbc665">KB_VERSION</a>&#160;&#160;&#160;2</td></tr>
<tr class="separator:a9716988961c3db223eb9324dbdbbc665"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8af9188cebeccde8723cfd0130c1e5f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="khepera_8h.html#af8af9188cebeccde8723cfd0130c1e5f">KB_REVISION</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:af8af9188cebeccde8723cfd0130c1e5f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a class="anchor" id="af8af9188cebeccde8723cfd0130c1e5f"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KB_REVISION&#160;&#160;&#160;1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="khepera_8h_source.html#l00020">20</a> of file <a class="el" href="khepera_8h_source.html">khepera.h</a>.</p>

<p>Referenced by <a class="el" href="kb__init_8c_source.html#l00028">kb_init()</a>.</p>

</div>
</div>
<a class="anchor" id="a9716988961c3db223eb9324dbdbbc665"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define KB_VERSION&#160;&#160;&#160;2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Definition at line <a class="el" href="khepera_8h_source.html#l00019">19</a> of file <a class="el" href="khepera_8h_source.html">khepera.h</a>.</p>

<p>Referenced by <a class="el" href="kb__init_8c_source.html#l00028">kb_init()</a>.</p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="khepera_8h.html">khepera.h</a></li>
    <li class="footer">Generated on Wed Jul 6 2016 19:39:19 for Khepera Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.6 </li>
  </ul>
</div>
</body>
</html>
